import React, { createContext, useState } from 'react';
import { IProfile, Role } from '../types/Profile';

export interface UserContextType {
  profile: IProfile | undefined;
  setProfile: (profile: IProfile) => void;
}

// Context
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const initialState: IProfile = {
  externalId: 'abcd',
  studentCardNumber: '1234',
  roomNumber: 104,
  role: Role.Admin,
  email: 'alma@gmail.com',
  name: 'Nagy Gizike',
  warnings: [],
  notices: [{ _id: '123', text: 'Asd', isSeen: false }],
};

export const UserContext = createContext({} as UserContextType);

const { Provider } = UserContext;

export const UserStateProvider: React.FC = ({ children }) => {
  const [profile, setProfile] = useState<IProfile | undefined>();

  return <Provider value={{ profile, setProfile }}>{children}</Provider>;
};

export default { UserContext, UserStateProvider };
